#274 closed defect (fixed)

ada-tests/samples/base_mp does not build

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

sparc-rtems-gnatmake -cargs -B../../../../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qr
tems -largs -B../../../../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qrtems -margs -I..
/../../../../lib/include/adainclude -I../../../../../erc32/lib/include/adainclude -I../../../../..
/../../../rtems.work/c/src/ada-tests/support -cargs -O4 -g -Wall -mcpu=cypress -largs

-O4 -g -Wall -mcpu=cypress -margs -a ../../../../../../../../rtems.work/c/src/ada-tests/samples

/base_mp/mptest.adb -o mptest
sparc-rtems-gcc -c -I../../../../../../../../rtems.work/c/src/ada-tests/samples/base_mp/ -B../../.
./../../lib/ -B../../../../../erc32/lib/ -specs bsp_specs -qrtems -I../../../../../lib/include/ada
include -I../../../../../erc32/lib/include/adainclude -I../../../../../../../../rtems.work/c/src/a
da-tests/support -O4 -g -Wall -mcpu=cypress -I- ../../../../../../../../rtems.work/c/src/ada-tests
/samples/base_mp/mptest.adb
mptest.ads:24:06: file "bsp_mpci.ads" not found
mptest.ads:24:06: "MPTEST (body)" depends on "MPTEST (spec)"
mptest.ads:24:06: "MPTEST (spec)" depends on "BSP_MPCI (spec)"
sparc-rtems-gnatmake: "../../../../../../../../rtems.work/c/src/ada-tests/samples/base_mp/mptest.a
db" compilation error

I don't know how to fix this, but I am not going to check in auto*tool support to ada-tests/mptests untils this bug is fixed.

Release:
RTEMS-CVS

Change History (3)

comment:1 Changed on Aug 26, 2002 at 12:50:38 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on May 7, 2008 at 8:20:06 PM by Joel Sherrill

Milestone: 4.9
rep_platform: All
Resolution: fixed
Status: assignedclosed

All tests were updated on the CVS head after 4.8.

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.